[Mailman-Users] python errors executing scripts

Mark Sapiro msapiro at value.net
Sat Feb 12 18:32:43 CET 2005

Mark Panahi wrote:

>Hello, I'm getting errors like the following when executing some of
>the scripts in the bin directory. Any ideas?
>mailman/bin# ./list_lists
>Traceback (most recent call last):
>  File "./list_lists", line 122, in ?
>    main()
>  File "./list_lists", line 102, in main
>    longest = max(len(mlist.real_name), longest)
>  File "/usr/local/mailman/Mailman/MailList.py", line 144, in __getattr__
>    raise AttributeError, name
>AttributeError: real_name

My best guess is some list has a corrupted config.pck.

bin/checkdb --all

may find it, but it may not. You could try patching list_lists as
follows to find the offending list:

--- bin/list_lists      2005-02-06 14:27:16.593750000 -0800
+++ bin/list_lists.test 2005-02-12 09:09:11.578125000 -0800
@@ -99,7 +99,10 @@
                mlist.web_page_url.find(vhost) == -1:
-        longest = max(len(mlist.real_name), longest)
+        try:
+            longest = max(len(mlist.real_name), longest)
+        except:
+            print 'mlist.real_name exception', n

     if not mlists and not bare:
         print _('No matching mailing lists found')

Mark Sapiro <msapiro at value.net>       The highway is for gamblers,
San Francisco Bay Area, California    better use your sense - B. Dylan

More information about the Mailman-Users mailing list